### Method

# EDataServer SourceAuthentication get_proxy_uid

since: 3.12

#### Declaration [src]

    const gchar*
    e_source_authentication_get_proxy_uid (
      ESourceAuthentication* extension
    )

#### Description [src]

Returns the `ESource:uid` of the `ESource` that holds network proxy settings for use when connecting to a remote account.

Available since: 3.12

Gets property | `EDataServer.SourceAuthentication:proxy-uid`

#### Return value

Type: `const gchar*`

The proxy profile `ESource:uid`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.